Adds a note to a company.

Similar to contact notes endpoint. See POST /api/v1/network/contacts/{id}/notes for detailed examples.

Path Parameters
  • id
    Type: string
    required

    Company ID

Body·
required

Note content and optional file attachment

Request to add a note to a contact or company

  • note
    Type: string
    max length:  
    10000
    required

    The note text

  • fileId
    Type: null | string

    Optional file attachment ID (must be owned by authenticated user)

  • type
    Type: null | string

    Activity sub-type: "note" (default), "call", "meeting", "email", "news"

Responses
  • 204

    Note added successfully

  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for post/api/v1/network/companies/{id}/notes
curl 'https://app.propstreet.com/api/v1/network/companies/{id}/notes' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "note": "",
  "fileId": null,
  "type": null
}'
No Body